CDD {PerformanceAnalytics} | R Documentation

## Calculate Uryasev's proposed Conditional Drawdown at Risk (CDD or CDaR) measure

### Description

For some confidence level p, the conditional drawdown is the the mean of the worst p\% drawdowns.

### Usage

    CDD(R, weights = NULL, geometric = TRUE, invert = TRUE, p = 0.95,
      ...)

### Arguments

`R` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`weights` | portfolio weighting vector, default NULL, see Details
`geometric` | utilize geometric chaining (TRUE) or simple/arithmetic chaining (FALSE) to aggregate returns, default TRUE
`invert` | TRUE/FALSE whether to invert the drawdown measure. see Details.
`p` | confidence level for calculation, default p=0.95
`...` | any other passthru parameters

### Author(s)

Brian G. Peterson

### References

Chekhlov, A., Uryasev, S., and M. Zabarankin. Portfolio Optimization With Drawdown Constraints. B. Scherer (Ed.) Asset and Liability Management Tools, Risk Books, London, 2003 http://www.ise.ufl.edu/uryasev/drawdown.pdf

### See Also

`ES` `maxDrawdown`

### Examples

    data(edhec)
    t(round(CDD(edhec),4))

[Package PerformanceAnalytics version 1.5.3 Index]